#include <iostream>
#include "SnetPrint.h"

NodeAttribute<int> id;	


int main()
{
	SnetPrint snet( "snet" ), snet2( "snet2" );
	Node s, y1, y2, x1, x2, x3;
	Edge e;

	y1 = snet.AddOuterEntry();
	y2 = snet.AddOuterEntry();
	x1 = snet.AddOuterExit();
	x2 = snet.AddOuterExit();
	x3 = snet.AddOuterExit();

	printf( "%d outer Entries\n", snet.NumberOfOuterEntries() );
	printf( "%d outer Exits\n", snet.NumberOfOuterExits() );

	s = snet.AddSubcentre( 5, 2 );
	snet.Connect( y1, snet.FirstEntry( e, s ) );
	s = snet.CopySubcentre( s );

	snet.Print();

	snet2 = snet;
	s = snet2.CopyAsSubcentre( snet );
	snet2.Connect( snet2.FirstOuterEntry( e ), snet2.FirstEntry( e, s ) );
	snet2.Connect( snet2.FirstExit( e, s ), snet2.FirstOuterExit( e ) );

	snet2.Print();

	SnetPrint snet3( snet2 );
	snet3.Print();

	return 0;
}

